## apr 1.4.6

=== debian/changelog ===
apr (1.4.6-3ubuntu1) raring; urgency=low

  * Make APR more cross-build friendly by fixing/mangling a few things:
    - Fix the confusion between HOST and BUILD variables in rules.
    - Fix a thinko using shell-style subshells instead of make-style.
    - Don't try to run native ino_t_test.c when cross-compiling.
    - Add a set of autoconf preseeds that are only used when crossing.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 05 Dec 2012 06:49:57 -0700

apr (1.4.6-3) unstable; urgency=low

  * Fix some issues with resolving loopback addresses of a protocol family
    that is not otherwise configured on a host. Many thanks to Jean-Michel
    Vourgère and Aurelien Jarno for debugging this.
    Closes: #500558, #629899 LP: #397393
  * Pull updates from upstream branch 1.4.x up to r1343251
  * Add some debug output in order to debug test failures on kfreebsd-i386.

 -- Stefan Fritsch <sf@debian.org>  Mon, 28 May 2012 16:02:12 +0200

apr (1.4.6-2) unstable; urgency=low

  * Enable use of some new APIs. The minimal required linux kernel version is
    now 2.6.28.
  * Improvements for Hurd (closes: #656880):
    - Re-enable test suite
    - Update build hints, disable non-working shm and flock methods. Thanks to
      Pino Toscano for the patches.
  * Switch VCS to git.
  * Switch to source format 3.0, debhelper 9. Thanks to Jari Aalto for the
    patch. Closes: #664299
  * Remove sendfile LFS patch that was only necessary for 2.4 kernels.
  * Fix some lintian warnings (dh_prep, build-indep/build-arch targets).
  * Bump Standards-Version (no changes).

 -- Stefan Fritsch <sf@debian.org>  Sun, 20 May 2012 21:39:17 +0200

apr (1.4.6-1) unstable; urgency=low

  * New upstream release:
    - Fixes apr_file_trunc() bug which could lead to subversion repository
      corruption. Closes: #664451
    - Adds randomization to hashes. CVE-2012-0840 (but not known to be
      exploitable in httpd or svn). Closes: #655435
  * Remove Tollef Fog Heen and Ryan Niebur from uploaders. Thanks for your
    work in the past.

 -- Stefan Fritsch <sf@debian.org>  Sun, 18 Mar 2012 23:22:59 +0100

apr (1.4.5-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Disable robust pthread mutexes on armhf causes testprocmutex to hang on
    non-SMP cores. (Closes: #650350)

 -- Hector Oron <zumbi@debian.org>  Thu, 01 Dec 2011 00:04:08 +0000

apr (1.4.5-1) unstable; urgency=high

  * New upstream version:
    - Fix regression introduced by fix for CVE-2011-0419: apr_fnmatch may
      consume 100% CPU. CVE-2011-1928. Closes: #627182
  * Fix allocator using mmap crashing on non-4k-page platforms. Thanks to
    Lifeng Sun for the patch. Closes: #627532 

 -- Stefan Fritsch <sf@debian.org>  Sat, 21 May 2011 20:49:17 +0200

apr (1.4.4-1) unstable; urgency=low

  * New upstream release.
    - Fix potential DoS in apr_fnmatch (CVE-2011-0419)
  * Enable experimental allocator using mmap instead of malloc. This makes
    Apache HTTPD's MaxMemFree directive actually work and hopefully reduces
    memory fragmentation.
  * Bump standards-version (no changes).
  * Reword some short descriptions to make lintian happy.

 -- Stefan Fritsch <sf@debian.org>  Thu, 12 May 2011 22:43:36 +0200

apr (1.4.2-8) unstable; urgency=low

  * Fix apr_ino_t changing size depending on -D_FILE_OFFSET_BITS on
    kfreebsd-*. Closes: #616323

 -- Stefan Fritsch <sf@debian.org>  Sat, 05 Mar 2011 21:14:02 +0100

apr (1.4.2-7) unstable; urgency=low

  * Add a workaround for a problem related to strict aliasing that causes
    gcc 4.5 to create incorrect code in some cases. Closes: #609163
    LP: #697105
  * Bump standards version to 3.9.1:
    - empty dependency_libs section in libapr-1.la

 -- Stefan Fritsch <sf@debian.org>  Sat, 05 Feb 2011 18:22:58 +0100

apr (1.4.2-6) unstable; urgency=low

  * Also disable robust pthread mutexes on alpha, to fix hang in the test
    suite on Linux 2.6.32.

 -- Stefan Fritsch <sf@debian.org>  Mon, 30 Aug 2010 23:42:23 +0200

apr (1.4.2-5) unstable; urgency=medium

  * Fix FTBFS on armel: Disable robust pthread mutexes on armel, as they
    cause a hang in the test suite on Linux 2.6.32.

 -- Stefan Fritsch <sf@debian.org>  Sun, 29 Aug 2010 22:00:11 +0200

apr (1.4.2-4) unstable; urgency=low

  * Fix building with libtool 1.x. Closes: #575380
  * Fix pool life-time issue with apr_socket_addr_get(), resulting in a memory
    leak in Apache mod_proxy.
  * Under Linux, if configure does not detect POSIX semaphores due to /dev/shm
    not being mounted, abort the build. Closes: #591286

 -- Stefan Fritsch <sf@debian.org>  Tue, 17 Aug 2010 23:16:56 +0200

apr (1.4.2-3) unstable; urgency=low

  * Upload to unstable.

 -- Stefan Fritsch <sf@debian.org>  Sun, 31 Jan 2010 10:56:45 +0100

apr (1.4.2-2) experimental; urgency=low

  * Fix FTBFS on kfreebsd: Create os specific symbols file: With *_epoll on
    linux, with *_kqueue on kfreebsd, with neither on hurd.
  * Bump Standards-Version:
    - In the rules file, use the DEB_*_ARCH* instead of the DEB_*_GNU*
      variables, where applicable.

 -- Stefan Fritsch <sf@debian.org>  Thu, 28 Jan 2010 20:28:07 +0100

apr (1.4.2-1) experimental; urgency=low

  [ Stefan Fritsch ]
  * New upstream release
  * Enable use of O_CLOEXEC. This raises the minimum required kernel version
    to 2.6.23. Disable the other new APIs (which would require 2.6.27 or
    2.6.28) by using configure flags instead of patching the source.

  [ Peter Samuelson ]
  * Apply patch from Nobuhiro Iwamatsu to disable some pthread
    functionality on SH4.  (Closes: #549153)

 -- Stefan Fritsch <sf@debian.org>  Thu, 28 Jan 2010 07:33:48 +0100

apr (1.3.8-1) unstable; urgency=high

  [ Stefan Fritsch ]
  * Enable -fstack-protector for arm/armel. A workaround has been added to
    gcc.

  [ Peter Samuelson ]
  * New upstream security release.
    - Fix CVE-2009-2412, overflow in pool allocations due to alignment.

 -- Peter Samuelson <peter@p12n.org>  Thu, 06 Aug 2009 13:00:03 -0500


