=== debian/control ===
Source: apr
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Apache Maintainers <debian-apache@lists.debian.org>
Uploaders: Peter Samuelson <peter@p12n.org>, Stefan Fritsch <sf@debian.org>
Build-Depends: debhelper (>= 9), autoconf, autotools-dev, mawk, uuid-dev, doxygen, netbase, net-tools, libtool (>= 2), python
Standards-Version: 3.9.3
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-apache/apr.git
Vcs-Git: git://git.debian.org/git/pkg-apache/apr.git
Homepage: http://apr.apache.org/

Package: libapr1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libapr1.0
Description: Apache Portable Runtime Library
 APR is Apache's Portable Runtime Library, designed to be a support library 
 that provides a predictable and consistent interface to underlying 
 platform-specific implementations. 

Package: libapr1-dev
Architecture: any
Section: libdevel
Depends: libapr1 (= ${binary:Version}), uuid-dev, ${misc:Depends}
Suggests: python
Conflicts: libapr1.0-dev, libapr0-dev
Description: Apache Portable Runtime Library - Development Headers
 APR is Apache's Portable Runtime Library, designed to be a support library 
 that provides a predictable and consistent interface to underlying 
 platform-specific implementations. 
 .
 This package contains development headers for APR.

Package: libapr1-dbg
Architecture: any
Section: debug
Priority: extra
Depends: libapr1 (= ${binary:Version}), ${misc:Depends}
Description: Apache Portable Runtime Library - Debugging Symbols
 APR is Apache's Portable Runtime Library, designed to be a support library 
 that provides a predictable and consistent interface to underlying 
 platform-specific implementations. 
 .
 This package contains the debugging symbols for APR.
