## apr 1.4.8

=== debian/changelog ===
apr (1.4.8-1ubuntu1) saucy; urgency=low

  * Merge with Debian; remaining changes:
    - Fix the confusion between HOST and BUILD variables in rules.
    - Fix a thinko using shell-style subshells instead of make-style.
    - Add a set of autoconf preseeds that are only used when cross-building.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 11 Jul 2013 19:08:18 +0200

apr (1.4.8-1) unstable; urgency=low

  * New upstream release
  * Remove the test debug output added in 1.4.6-3. The bug was #673711 in
    eglibc and has been fixed some time ago.

 -- Stefan Fritsch <sf@debian.org>  Thu, 04 Jul 2013 23:25:10 +0200

apr (1.4.6-4) unstable; urgency=low

  * Make the /dev/shm sanity check during build work if it is a symbolic link.
  * Remove the ancient ino_t configure sanity test that causes a FTBFS on x32.
    Closes: #701193
  * Don't override CFLAGS and LDFLAGS during build. This fixes the debug
    information being useless. Closes: #703466

 -- Stefan Fritsch <sf@debian.org>  Sat, 11 May 2013 15:06:24 +0200
