=== debian/rules ===
--- 
+++ 
@@ -82,14 +82,7 @@
 	# we need to force the use of bash here. Otherwise, if apr is built with
 	# /bin/sh -> /bin/bash, the resulting libtool will not work on systems
 	# where /bin/sh -> /bin/dash
-	cd $(BUILDDIR) && CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" $(CONFFLAGS) CONFIG_SHELL=/bin/bash /bin/bash ../configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --enable-layout=Debian --includedir=\$${prefix}/usr/include/apr-1.0 --with-installbuilddir=\$${prefix}/usr/share/apr-1.0/build  --enable-nonportable-atomics --enable-allocator-uses-mmap
-	# Determine whether upstream's configure gives the same definition of apr_ino_t as we had until 1.2.11-1, but only try when building natively
-ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
-	rm -f debian/ino_t_test
-	gcc -I$(CURDIR)/include -I$(BUILDDIR)/include `$(BUILDDIR)/apr-1-config --cppflags` -o debian/ino_t_test debian/ino_t_test.c
-	debian/ino_t_test
-	rm -f debian/ino_t_test
-endif
+	cd $(BUILDDIR) && $(CONFFLAGS) CONFIG_SHELL=/bin/bash /bin/bash ../configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --enable-layout=Debian --includedir=\$${prefix}/usr/include/apr-1.0 --with-installbuilddir=\$${prefix}/usr/share/apr-1.0/build  --enable-nonportable-atomics --enable-allocator-uses-mmap
 ifeq (hurd, $(DEB_HOST_ARCH_OS))
 	# multicast not supported on Hurd
 	sed -i '/HAVE_STRUCT_IPMREQ/ d' $(BUILDDIR)/include/arch/unix/apr_private.h
@@ -98,7 +91,7 @@
 	if grep -q APR_HAS_POSIXSEM_SERIALIZE.*0 $(BUILDDIR)/include/apr.h ;\
 	then \
 		echo "WARNING: This is Linux but configure did not detect POSIX semaphores." ;\
-		if [ "$(shell stat -c '%d' /dev/shm/)" = "$(shell stat -c '%d' /dev/)" ] ;\
+		if ! df /dev/shm/.|grep -q ^tmpfs ;\
 		then \
 			echo "ERROR: POSIX semaphores not usable and /dev/shm not mounted." ;\
 			echo "ERROR: Aborting." ;\
@@ -116,7 +109,7 @@
 build-stamp: $(BUILDDIR)/config.status
 	dh_testdir
 
-	$(MAKE) -C $(BUILDDIR) CFLAGS="$(H_CFLAGS)" LDFLAGS="$(H_LDFLAGS)"
+	$(MAKE) -C $(BUILDDIR) CFLAGS="$(H_CFLAGS) $(CFLAGS)" LDFLAGS="$(H_LDFLAGS) $(LDFLAGS)"
 	$(MAKE) -C $(BUILDDIR) dox
 
 	touch $@
@@ -124,7 +117,7 @@
 clean:
 	dh_testdir
 	dh_testroot
-	rm -f build-stamp test-stamp debian/ino_t_test
+	rm -f build-stamp test-stamp
 	rm -f configure build/lt* build/libtool.m4 build-outputs.mk include/arch/unix/apr_private.h.in
 	rm -rf $(BUILDDIR)
 
@@ -141,7 +134,7 @@
 
 test-stamp: build
 	dh_testdir
-	$(MAKE) -C $(BUILDDIR)/test all CFLAGS="$(H_CFLAGS)" LDFLAGS="$(H_LDFLAGS)"
+	$(MAKE) -C $(BUILDDIR)/test all CFLAGS="$(H_CFLAGS) $(CFLAGS)" LDFLAGS="$(H_LDFLAGS) $(LDFLAGS)"
 	cd $(BUILDDIR)/test && ./testall -v testsockets testsock || $(IGNORE_TESTSOCK)
 	cd $(BUILDDIR)/test && ( ulimit -S -s 8192 ; ./testall -v testatomic)
 	cd $(BUILDDIR)/test && ./testall -v -x testsockets testsock testatomic
