## apr 1.5.0

=== debian/changelog ===
apr (1.5.0-1) unstable; urgency=low

  * New upstream version
  * Pull changes from upstream 1.5.x branch up to r1552863 to fix problems
    on the FreeBSD 10 kernel with accept4() and non-blocking sockets.

 -- Stefan Fritsch <sf@debian.org>  Mon, 30 Dec 2013 16:37:54 +0100

apr (1.4.8-3) unstable; urgency=low

  * Re-add the logic to force use of bash for configure/libtool. Otherwise,
    if the package is build with /bin/sh -> /bin/bash, the shipped libtool
    won't work on systems with /bin/sh -> /bin/dash. This got lost in
    1.4.8-2. Closes: #730196

 -- Stefan Fritsch <sf@debian.org>  Sat, 23 Nov 2013 00:57:30 +0100

apr (1.4.8-2) unstable; urgency=low

  * Merge some changes from Ubuntu's 1.4.8-1ubuntu1:
    - Fix the confusion between HOST and BUILD variables in rules.
    - Add a set of autoconf preseeds that are only used when cross-building.
  * Change cross-building preseeds to only apply on linux.
  * Cherry-pick fix for O_NONBLOCK configure check from upstream 1.4.x
    branch.
  * Switch build system to dh
    - No longer hard-codes -fstack-protector on unsupported platforms.
      Closes: #717231
    - Bump Standards-Version (no additional changes).
  * Support multi-arch.
  * Enable sctp support on Linux.
  * Change apr_rules.mk to not force CFLAGS, etc. to the values used during
    apr's compilation.
  * Fix accept4() configure test to work on Hurd. Closes: #715028

 -- Stefan Fritsch <sf@debian.org>  Wed, 06 Nov 2013 19:37:05 +0100
