## apr 1.5.1

=== debian/changelog ===
apr (1.5.1-3) unstable; urgency=medium

  [Helmut Grohne]
  * Check for libtoolize rather than libtool. Closes: #761732

  [ Stefan Fritsch ]
  * Update Vcs-Git URL in control file.

 -- Stefan Fritsch <sf@debian.org>  Sat, 20 Sep 2014 22:21:24 +0200

apr (1.5.1-2) unstable; urgency=medium

  * Backport build fix from upstream SVN to avoid building some parts
    twice. This should also fix the build failure on amd64.
  * Fix build problem with new make.

 -- Stefan Fritsch <sf@debian.org>  Mon, 12 May 2014 23:21:06 +0200

apr (1.5.1-1) unstable; urgency=low

  * New upstream version

 -- Stefan Fritsch <sf@debian.org>  Thu, 01 May 2014 10:37:50 +0200
