=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper (>= 9), autoconf, autotools-dev, mawk, uuid-dev, doxygen, netbase, net-tools, libtool (>= 2), python, libsctp-dev [linux-any]
 Standards-Version: 3.9.5
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-apache/apr.git
-Vcs-Git: git://git.debian.org/git/pkg-apache/apr.git
+Vcs-Git: git://anonscm.debian.org/pkg-apache/apr.git
 Homepage: http://apr.apache.org/
 
 Package: libapr1
