=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 # The 'build' target needs special handling because there there is a directory
 # named 'build'.
 .PHONY: build
-build %:
+%:
 	dh $@ -B$(BUILDDIR) --parallel --with autotools_dev
 
 #
