## apr 1.6.2

=== debian/changelog ===
apr (1.6.2-1) unstable; urgency=medium

  * New upstream version
  * Remove Peter Samuelson from uploaders. Thanks for your work in the past.
    Closes: #852222

 -- Stefan Fritsch <sf@debian.org>  Fri, 04 Aug 2017 16:39:16 +0200

apr (1.5.2-5) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: (Closes: #840891)
    + Annotate Build-Depends: python with :any
    + cross.patch: Build gen_test_char with the build arch compiler

 -- Stefan Fritsch <sf@debian.org>  Sat, 10 Dec 2016 17:41:09 +0100

apr (1.5.2-4) unstable; urgency=medium

  [ Jean-Michel Vourgère ]
  * Update Vcs-Browser: address.
  * d/watch: Check gpg signature of upstream source.

  [ Stefan Fritsch ]
  * Run buildconf with LC_ALL=C to fix some reproducible build issues.
  * Bump Standards-Version (no changes)

 -- Stefan Fritsch <sf@debian.org>  Sun, 29 May 2016 15:44:28 +0200
