## apr 1.6.3

=== debian/changelog ===
apr (1.6.3-2) unstable; urgency=medium

  * Avoid empty build target, fixes FTBFS. Thanks to Niels Thykier for the
    patch. Closes: #888593
  * Drop deprecated autotools-dev sequence. Thanks to Niels Thykier for the
    patch.
  * Switch to debhelper compat level 11 and use dh_autoreconf.
  * Include NOTICE file in packages, as required by license.
  * Bump Standards-Version (no changes).

 -- Stefan Fritsch <sf@debian.org>  Sun, 25 Feb 2018 16:35:41 +0100

apr (1.6.3-1) unstable; urgency=medium

  * New upstream version
    - Fixes CVE-2017-12613: Out-of-bounds array deref in apr_time_exp*
      functions. Closes: #879708
  * Replace obsolete priority extra with optional.

 -- Stefan Fritsch <sf@debian.org>  Mon, 06 Nov 2017 20:07:42 +0100
