=== debian/rules ===
--- 
+++ 
@@ -14,8 +14,12 @@
 # The 'build' target needs special handling because there there is a directory
 # named 'build'.
 .PHONY: build
+# The build target must not be empty.  Sadly because of how make
+# works, we have do duplicate the target in this case.
+build:
+	dh $@ -B$(BUILDDIR)
 %:
-	dh $@ -B$(BUILDDIR) --parallel --with autotools_dev
+	dh $@ -B$(BUILDDIR)
 
 #
 # configure
@@ -69,13 +73,11 @@
   endif
 endif
 
-# files that are modified by buildconf and need to be restored during clean
-SAVE_FILES := configure build/libtool.m4 build/ltmain.sh
+override_dh_autoreconf:
+	LC_ALL=C dh_autoreconf ./buildconf
 
 override_dh_auto_configure:
 	mkdir -p $(BUILDDIR)/docs
-	for f in $(SAVE_FILES) ; do [ -e $$f.dr-orig ] || cp -p $$f $$f.dr-orig ; done
-	./buildconf
 	# We need to force the use of bash here. Otherwise, if apr is built with
 	# /bin/sh -> /bin/bash, the resulting libtool will not work on systems
 	# where /bin/sh -> /bin/dash.
@@ -154,4 +156,3 @@
 override_dh_auto_clean:
 	dh_auto_clean
 	rm -rf $(BUILDDIR)
-	for f in $(SAVE_FILES) ; do [ ! -e $$f.dr-orig ] || mv $$f.dr-orig $$f ; done
